For the complete documentation index, see llms.txt. This page is also available as Markdown.

Files

Upload files

post

Upload files

Authorizations
AuthorizationstringRequired
Body
filestring · binaryOptional

File to upload

Responses
201

Files successfully uploaded.

application/json
idstring · uuidOptional

The ID of the file.

namestringOptional

The name of the file.

contentTypestringOptional

The MIME type of the file content.

sizeinteger · int64Optional

The size of the file.

extensionstringOptional

The extension of the file.

post/files
POST /rest/2.0/files HTTP/1.1
Authorization: Basic username:password
Content-Type: multipart/form-data
Accept: */*
Content-Length: 17

{
  "file": "binary"
}
201

Files successfully uploaded.

[
  {
    "id": "123e4567-e89b-12d3-a456-426614174000",
    "name": "text",
    "contentType": "text",
    "size": 1,
    "extension": "text"
  }
]

Download a file

get

Downloads file identified by given id. Keep in mind to use GET /attachments/{attachmentId}/file instead of this endpoint when you want to get the file of an attachment. A File and its id can be temporary so it's possible this endpoint will not get you the desired file.

Authorizations
AuthorizationstringRequired
Path parameters
fileIdstring · uuidRequired

the id of the file

Responses
200

The file has been downloaded

application/json
string · binaryOptional

The found file

get/files/{fileId}
GET /rest/2.0/files/{fileId} HTTP/1.1
Authorization: Basic username:password
Accept: */*
200

The file has been downloaded

binary

Delete a file

delete

Deletes the temporary file with the provided ID. Temporary files are short-lived. Collibra automatically deletes them between 8 and 16 hours after their creation. You do not need specific permissions to perform this operation.

Authorizations
AuthorizationstringRequired
Path parameters
fileIdstring · uuidRequired

the id of the file

Responses
200

The file has been deleted

No content

delete/files/{fileId}
DELETE /rest/2.0/files/{fileId} HTTP/1.1
Authorization: Basic username:password
Accept: */*
200

The file has been deleted

No content

Deprecated

Delete expired files

delete

Deletes files having passed their expiration time. Deprecated: timeToLive is ignored. Cleanup being automatic, this endpoint will be removed in the future.

Authorizations
AuthorizationstringRequired
Query parameters
timeToLiveinteger · int64Optional
Responses
200

The files have been deleted

No content

delete/files/bulk
DELETE /rest/2.0/files/bulk HTTP/1.1
Authorization: Basic username:password
Accept: */*
200

The files have been deleted

No content

Get file information

get

Returns information about the file identified by given id. Keep in mind to use GET /attachments/{attachmentId} instead of this endpoint when you want to get information of an attachment. A File and its id can be temporary so it's possible this endpoint will not get you the information of the desired file.

Authorizations
AuthorizationstringRequired
Path parameters
fileIdstring · uuidRequired

the id of the file

Responses
200

The file information

application/json
idstring · uuidRequired

The id of the represented object (entity).

createdBystring · uuidOptional

The id of the user that created this resource.

Example: 4d250cc5-e583-4640-9874-b93d82c7a6cb
createdOninteger · int64Optional

The timestamp (in UTC time standard) of the creation of this resource.

Example: 1475503010320
lastModifiedBystring · uuidOptional

The id of the user who modified this resource the last time.

Example: a073ff90-e7bc-4b35-ba90-c4d475f642fe
lastModifiedOninteger · int64Optional

The timestamp (in UTC time standard) of the last modification of this resource.

Example: 1476703764163
systembooleanOptional

Whether this is a system resource or not.

resourceTypestring · enumRequiredDeprecated

The type of the resource, e.g. [Community, Asset, Domain, Attribute, Relation, WorkflowInstance, ...]. This property is deprecated and will be removed in the future. To stay backwards compatible while still allowing new types of resources to be introduced, a resource discriminator property (of type String) has been added to the subtypes of Resource where it adds value, e.g. assignedResourceDiscriminator on AssignedResource, or attributeDiscriminator on Attribute. A discriminator is only added on subtypes whose declared return type can represent more than one kind of resource; it is omitted where the return type can only ever be a single kind, as it would then always hold the same value and carry no additional information. For new types of resource that didn't exist before this change, the resourceType will be BaseDataType.

Possible values:
namestringOptional

The name of the resource.

Example: Test name
descriptionstringOptional

The description of the resource.

Example: Sample descripion of the resource.
publicIdstringOptional

The public id of the scope.

Example: "Finance_C"
get/files/{fileId}/info
GET /rest/2.0/files/{fileId}/info HTTP/1.1
Authorization: Basic username:password
Accept: */*
200

The file information

{
  "id": "123e4567-e89b-12d3-a456-426614174000",
  "createdBy": "4d250cc5-e583-4640-9874-b93d82c7a6cb",
  "createdOn": 1475503010320,
  "lastModifiedBy": "a073ff90-e7bc-4b35-ba90-c4d475f642fe",
  "lastModifiedOn": 1476703764163,
  "system": true,
  "name": "Test name",
  "description": "Sample descripion of the resource.",
  "publicId": "\"Finance_C\"",
  "domains": [
    {
      "id": "2b7f3a1a-4e50-4077-96f0-a58a395c860d",
      "resourceDiscriminator": "Community",
      "name": "text"
    }
  ],
  "communities": [
    {
      "id": "2b7f3a1a-4e50-4077-96f0-a58a395c860d",
      "resourceDiscriminator": "Community",
      "name": "text"
    }
  ]
}

Last updated

Was this helpful?